<html>
    <head>
        <title> Upload example</title>
        <!-- Latest compiled and minified CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

        <!-- Optional theme -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
        <link rel="stylesheet" href="style.css" />
    </head>
    <body>
        <main class="main">
            <div class="container mt-3">
                <div class="row">
                    <div class="col-md-12">
                        <div class="drop-zone">
                            <input type="file" multiple id="file">
                            <p>Mettez vos fichiers dans cette zone</p>
                        </div>
                    </div>
                    
                </div>
                <div class="row" id="uploadedFiles">
                </div> 
            </div>
        </main>
        <script src="https://code.jquery.com/jquery-3.4.0.min.js"
        integrity="sha256-BJeo0qm959uMBGb65z40ejJYGSgR7REI4+CW1fNKwOg="
        crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
        <script>
            $(document).ready(function($){
                var uploadedFiles = [];
                var fileNames = [];
                var deletedIndexes = [];
                function changeUploadedFilesState(){
                    var files = document.querySelector('input[type="file"]#file').files;
                    for(var i = 0;i<files.length;i++){ 
                        fileNames.push(files[i].name);
                        var reader = new FileReader();
                        reader.readAsDataURL(files[i]);
                        reader.onload = function() {
                            uploadedFiles.push(reader.result);
                        };
                    }
                    drawUploadTable();
                    
                }
                function drawUploadTable(){
                    var htmlBody = "";
                    for(var i =0;i<fileNames.length;i++){
                        htmlBody += '<div class="row pt-10"><div class="col-md-1">'+i+'</div>'+'<div class="col-md-6 mx-auto"><span class="text-muted">'+fileNames[i]+'</span></div>';
                        htmlBody += '<button type="button" class="btn btn-sm btn-danger deleteFile" data-id="'+i+'" alt="retirer le fichier" title="retirer le fichier"><i class="far fa-trash-alt"></i></button></div>';
                    }
                    $('#uploadedFiles').html(htmlBody);
                }
                $(document).on('click','.deleteFile',function(){
                    var index=$(this).attr("data-id");
                    fileNames.splice(index,1);
                    uploadedFiles.splice(index,1);
                    drawUploadTable();
                })
                $('#file').change(function(){
                    changeUploadedFilesState()
                })
            })
        </script>
    
    </body>
    
</html>